Recalculate Milestone Document Field
`
Recalculate the milestone__v` field on a specified set of documents.
- The maximum CSV input file size is 1GB.
- The values in the input must be UTF-8 encoded.
- CSVs must follow the standard RFC 4180 format, with some exceptions.
- The maximum batch size is 500.
POST
/api/{version}/objects/documents/milestones/actions/recalculateHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | text/csv |
Accept | application/json (default) or application/xml |
Body Parameters
Section link for Body ParametersPrepare a CSV input file with document id values in an id column. Invalid values or invalid columns are ignored.
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
--data-binary @"recalculate_milestones.csv" \
https://myvault.veevavault.com/api/v23.3/objects/documents/milestones/actions/recalculateExample CSV Input File
Section link for Example CSV Input Fileid
7652
9875
541Response
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "SUCCESS"
}